import { LifecycleResource } from 'ember-resources';
export interface ArrayMapOptions<Element extends object, MapTo> {
    data: () => Element[];
    map: (element: Element) => MapTo;
}
interface ArrayMapArgs<Element extends object, MapTo> {
    positional: [Element[]];
    named: {
        map: (element: Element) => MapTo;
    };
}
export declare class TrackedArrayMap<Element extends object, MappedTo> extends LifecycleResource<ArrayMapArgs<Element, MappedTo>> {
    #private;
    get records(): (MappedTo | undefined)[];
    get length(): number;
    at(i: number): MappedTo;
    [Symbol.iterator](): {
        next: () => {
            done: boolean;
            value?: undefined;
        } | {
            value: MappedTo;
            done: boolean;
        };
    };
}
export {};
